<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MeshCoP::Commissioner Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../dc/d6b/classThread_1_1MeshCoP_1_1Commissioner-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MeshCoP::Commissioner Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Thread::MeshCoP::Commissioner:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/ddd/classThread_1_1MeshCoP_1_1Commissioner__coll__graph.png" border="0" usemap="#Thread_1_1MeshCoP_1_1Commissioner_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1MeshCoP_1_1Commissioner_coll__map" id="Thread_1_1MeshCoP_1_1Commissioner_coll__map">
<area shape="rect" id="node2" href="../../d8/d13/classThread_1_1AnnounceBeginClient.html" title="This class implements handling Announce Begin Requests. " alt="" coords="5,5,205,31"/>
<area shape="rect" id="node3" href="../../d6/df9/classThread_1_1EnergyScanClient.html" title="This class implements handling PANID Query Requests. " alt="" coords="228,5,406,31"/>
<area shape="rect" id="node4" href="../../dc/da5/classThread_1_1PanIdQueryClient.html" title="This class implements handling PANID Query Requests. " alt="" coords="430,5,606,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8406c25cf23c739f803812e58619b444"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8406c25cf23c739f803812e58619b444">Commissioner</a> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif)</td></tr>
<tr class="memdesc:a8406c25cf23c739f803812e58619b444"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> object.  <a href="#a8406c25cf23c739f803812e58619b444">More...</a><br /></td></tr>
<tr class="separator:a8406c25cf23c739f803812e58619b444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f990ffafceb7e136aa2eead1d2d36ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a4f990ffafceb7e136aa2eead1d2d36ff">Start</a> (void)</td></tr>
<tr class="memdesc:a4f990ffafceb7e136aa2eead1d2d36ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method starts the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service.  <a href="#a4f990ffafceb7e136aa2eead1d2d36ff">More...</a><br /></td></tr>
<tr class="separator:a4f990ffafceb7e136aa2eead1d2d36ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a142100561cda243c291e4bc7a4d6511a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a">Stop</a> (void)</td></tr>
<tr class="memdesc:a142100561cda243c291e4bc7a4d6511a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method stops the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service.  <a href="#a142100561cda243c291e4bc7a4d6511a">More...</a><br /></td></tr>
<tr class="separator:a142100561cda243c291e4bc7a4d6511a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcaf41372cb39fcc8a1502cb0121a3a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcaf41372cb39fcc8a1502cb0121a3a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#afcaf41372cb39fcc8a1502cb0121a3a5">ClearJoiners</a> (void)</td></tr>
<tr class="memdesc:afcaf41372cb39fcc8a1502cb0121a3a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears all <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> entries. <br /></td></tr>
<tr class="separator:afcaf41372cb39fcc8a1502cb0121a3a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9120b2bcbea824b6e240ed60e793ddfd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a9120b2bcbea824b6e240ed60e793ddfd">AddJoiner</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a> *aExtAddress, const char *aPSKd)</td></tr>
<tr class="memdesc:a9120b2bcbea824b6e240ed60e793ddfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> entry.  <a href="#a9120b2bcbea824b6e240ed60e793ddfd">More...</a><br /></td></tr>
<tr class="separator:a9120b2bcbea824b6e240ed60e793ddfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00d3acd00c5bf8b4e9a85b7407d90caf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a00d3acd00c5bf8b4e9a85b7407d90caf">RemoveJoiner</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a> *aExtAddress)</td></tr>
<tr class="memdesc:a00d3acd00c5bf8b4e9a85b7407d90caf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes a <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> entry.  <a href="#a00d3acd00c5bf8b4e9a85b7407d90caf">More...</a><br /></td></tr>
<tr class="separator:a00d3acd00c5bf8b4e9a85b7407d90caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f63e0a27794b1583aa1ade267f8862"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#ab0f63e0a27794b1583aa1ade267f8862">SetProvisioningUrl</a> (const char *aProvisioningUrl)</td></tr>
<tr class="memdesc:ab0f63e0a27794b1583aa1ade267f8862"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the Provisioning URL.  <a href="#ab0f63e0a27794b1583aa1ade267f8862">More...</a><br /></td></tr>
<tr class="separator:ab0f63e0a27794b1583aa1ade267f8862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33ab4a2ed05cecac714108bcea316643"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a33ab4a2ed05cecac714108bcea316643">GetSessionId</a> (void) const </td></tr>
<tr class="memdesc:a33ab4a2ed05cecac714108bcea316643"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> Session ID.  <a href="#a33ab4a2ed05cecac714108bcea316643">More...</a><br /></td></tr>
<tr class="separator:a33ab4a2ed05cecac714108bcea316643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea8334e3a50c507bc1d8c4611830dff6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#aea8334e3a50c507bc1d8c4611830dff6">SendMgmtCommissionerGetRequest</a> (const uint8_t *aTlvs, uint8_t aLength)</td></tr>
<tr class="memdesc:aea8334e3a50c507bc1d8c4611830dff6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sends MGMT_COMMISSIONER_GET.  <a href="#aea8334e3a50c507bc1d8c4611830dff6">More...</a><br /></td></tr>
<tr class="separator:aea8334e3a50c507bc1d8c4611830dff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8639c79f9379e80285fa9f362dbacdd1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1">SendMgmtCommissionerSetRequest</a> (const <a class="el" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a> &amp;aDataset, const uint8_t *aTlvs, uint8_t aLength)</td></tr>
<tr class="memdesc:a8639c79f9379e80285fa9f362dbacdd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sends MGMT_COMMISSIONER_SET.  <a href="#a8639c79f9379e80285fa9f362dbacdd1">More...</a><br /></td></tr>
<tr class="separator:a8639c79f9379e80285fa9f362dbacdd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab85b522227b7f3d01126cd825802eceb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab85b522227b7f3d01126cd825802eceb"></a>
<a class="el" href="../../d8/d13/classThread_1_1AnnounceBeginClient.html">AnnounceBeginClient</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mAnnounceBegin</b></td></tr>
<tr class="separator:ab85b522227b7f3d01126cd825802eceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a19d0f97fea9b554f6fce0f0be6467f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a19d0f97fea9b554f6fce0f0be6467f"></a>
<a class="el" href="../../d6/df9/classThread_1_1EnergyScanClient.html">EnergyScanClient</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mEnergyScan</b></td></tr>
<tr class="separator:a4a19d0f97fea9b554f6fce0f0be6467f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14e3fcae972f58da26ee23b27303c50d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14e3fcae972f58da26ee23b27303c50d"></a>
<a class="el" href="../../dc/da5/classThread_1_1PanIdQueryClient.html">PanIdQueryClient</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mPanIdQuery</b></td></tr>
<tr class="separator:a14e3fcae972f58da26ee23b27303c50d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8406c25cf23c739f803812e58619b444"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::MeshCoP::Commissioner::Commissioner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;&#160;</td>
          <td class="paramname"><em>aThreadNetif</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This constructor initializes the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aThreadNetif</td><td>A reference to the Thread network interface. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8406c25cf23c739f803812e58619b444_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8406c25cf23c739f803812e58619b444_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8406c25cf23c739f803812e58619b444_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8406c25cf23c739f803812e58619b444_cgraph">
<area shape="rect" id="node2" href="../../de/d76/classThread_1_1Coap_1_1Server.html#a6c2d2fb6a4a5ce7ef157e5d9cc308af6" title="This method adds a resource to the CoAP server. " alt="" coords="275,5,425,44"/>
</map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9120b2bcbea824b6e240ed60e793ddfd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::AddJoiner </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a> *&#160;</td>
          <td class="paramname"><em>aExtAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aPSKd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds a <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aExtAddress</td><td>A pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>'s extended address or NULL for any <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPSKd</td><td>A pointer to the PSKd</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>No buffers available to add the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a9120b2bcbea824b6e240ed60e793ddfd_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a9120b2bcbea824b6e240ed60e793ddfd_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a9120b2bcbea824b6e240ed60e793ddfd_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a9120b2bcbea824b6e240ed60e793ddfd_cgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a00d3acd00c5bf8b4e9a85b7407d90caf" title="This method removes a Joiner entry. " alt="" coords="275,5,498,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a33ab4a2ed05cecac714108bcea316643"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::MeshCoP::Commissioner::GetSessionId </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> Session ID. </p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> Session ID. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a33ab4a2ed05cecac714108bcea316643_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a33ab4a2ed05cecac714108bcea316643_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a33ab4a2ed05cecac714108bcea316643_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a33ab4a2ed05cecac714108bcea316643_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a2c050c372e20976105003cb8d4d6fc90" title="This method closes the UDP socket. " alt="" coords="275,5,438,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a00d3acd00c5bf8b4e9a85b7407d90caf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::RemoveJoiner </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a> *&#160;</td>
          <td class="paramname"><em>aExtAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes a <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aExtAddress</td><td>A pointer to the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>'s extended address or NULL for any <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>. </td></tr>
    <tr><td class="paramname">kThreadError_NotFound</td><td>The <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a> specified by <code>aExtAddress</code> was not found. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a00d3acd00c5bf8b4e9a85b7407d90caf_icgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a00d3acd00c5bf8b4e9a85b7407d90caf_icgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a00d3acd00c5bf8b4e9a85b7407d90caf_icgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a00d3acd00c5bf8b4e9a85b7407d90caf_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a9120b2bcbea824b6e240ed60e793ddfd" title="This method adds a Joiner entry. " alt="" coords="275,5,498,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aea8334e3a50c507bc1d8c4611830dff6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::SendMgmtCommissionerGetRequest </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aTlvs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sends MGMT_COMMISSIONER_GET. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aTlvs</td><td>A pointer to Commissioning Data TLVs. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The length of requested TLVs in bytes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Send MGMT_COMMISSIONER_GET successfully. </td></tr>
    <tr><td class="paramname">kThreadError_Failed</td><td>Send MGMT_COMMISSIONER_GET fail. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_aea8334e3a50c507bc1d8c4611830dff6_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_aea8334e3a50c507bc1d8c4611830dff6_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_aea8334e3a50c507bc1d8c4611830dff6_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_aea8334e3a50c507bc1d8c4611830dff6_cgraph">
<area shape="rect" id="node2" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="348,5,475,31"/>
<area shape="rect" id="node3" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="335,55,489,93"/>
<area shape="rect" id="node5" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="335,117,489,156"/>
<area shape="rect" id="node6" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="335,180,489,219"/>
<area shape="rect" id="node7" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="335,243,489,281"/>
<area shape="rect" id="node8" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="335,305,489,344"/>
<area shape="rect" id="node9" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="329,368,494,407"/>
<area shape="rect" id="node11" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="335,431,489,469"/>
<area shape="rect" id="node12" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="331,493,493,532"/>
<area shape="rect" id="node13" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="323,556,501,581"/>
<area shape="rect" id="node14" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="335,605,489,644"/>
<area shape="rect" id="node15" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="335,668,489,707"/>
<area shape="rect" id="node16" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#af4de18174724fddc7ac516c219cd16cd" title="This method sets the Type value. " alt="" coords="334,731,489,769"/>
<area shape="rect" id="node17" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a0524dd75d253e44a53dab3cc0de3393e" title="This method sets the Length value. " alt="" coords="334,793,489,832"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="341,856,482,895"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gaac61a870e313e3d199d16efb5af3a603" title="This method retrieves the Leader&#39;s ALOC. " alt="" coords="303,919,521,944"/>
<area shape="rect" id="node23" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="325,968,498,1007"/>
<area shape="rect" id="node24" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="331,1128,493,1167"/>
<area shape="rect" id="node36" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="332,1191,492,1216"/>
<area shape="rect" id="node4" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c" title="This method sets the Version value. " alt="" coords="589,55,743,93"/>
<area shape="rect" id="node10" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ac047d4a2285b8315c1f11d66c04994a4" title="This method appends a CoAP option. " alt="" coords="589,368,743,407"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#ga4934863fd1274f1b86dc9bcee8d8682d" title="This method returns the RLOC16 assigned to the Thread interface. " alt="" coords="570,765,762,791"/>
<area shape="rect" id="node22" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html#a2bb426bd29e271bd1fc09b61d1044911" title="This method returns the unicast address. " alt="" coords="582,815,750,853"/>
<area shape="rect" id="node21" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#ac00b980b5fa6eca48cd29aa7b8ccebe8" title="This method returns the IEEE 802.15.4 Short Address. " alt="" coords="811,759,1001,797"/>
<area shape="rect" id="node25" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8" title="This method returns a reference to the local socket address. " alt="" coords="579,877,753,916"/>
<area shape="rect" id="node26" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813" title="This method indicates whether or not the IPv6 address is the Unspecified Address. ..." alt="" coords="593,940,739,979"/>
<area shape="rect" id="node27" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a4c3b5b3798c5a209d94f145dd9f08424" title="This method returns the local socket address. " alt="" coords="585,1003,747,1041"/>
<area shape="rect" id="node28" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f" title="This method returns a reference to the IPv6 address. " alt="" coords="589,1065,743,1104"/>
<area shape="rect" id="node29" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a3e48adfe7fb163bd8dd6e6f26cb5dda4" title="This method sets the UDP Source Port. " alt="" coords="583,1128,749,1167"/>
<area shape="rect" id="node30" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#aa6b4ee310b27450ea21696b8a1ab9e36" title="This method sets the UDP Destination Port. " alt="" coords="583,1191,749,1229"/>
<area shape="rect" id="node31" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a232ac624d1b666065516cd2b7dc5f729" title="This method sets the UDP Length. " alt="" coords="583,1253,749,1292"/>
<area shape="rect" id="node32" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="569,1316,763,1341"/>
<area shape="rect" id="node33" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#ada31b17064f026a602cac8ce755cffcf" title="This method sets the UDP Checksum. " alt="" coords="583,1365,749,1404"/>
<area shape="rect" id="node34" href="../../dc/d3c/classThread_1_1Message.html#a9c900e4c1ddbb44f1d9c87d10172f63a" title="This method prepends bytes to the front of the message. " alt="" coords="575,1428,757,1453"/>
<area shape="rect" id="node35" href="../../dc/d3c/classThread_1_1Message.html#acaa6ed0d0c060a524cb5da25451acc0d" title="This method sets the byte offset within the message. " alt="" coords="572,1477,760,1503"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8639c79f9379e80285fa9f362dbacdd1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::SendMgmtCommissionerSetRequest </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a> &amp;&#160;</td>
          <td class="paramname"><em>aDataset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aTlvs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sends MGMT_COMMISSIONER_SET. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataset</td><td>A reference to Commissioning Data. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aTlvs</td><td>A pointer to user specific Commissioning Data TLVs. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The length of user specific TLVs in bytes.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Send MGMT_COMMISSIONER_SET successfully. </td></tr>
    <tr><td class="paramname">kThreadError_Failed</td><td>Send MGMT_COMMISSIONER_SET fail. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8639c79f9379e80285fa9f362dbacdd1_icgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8639c79f9379e80285fa9f362dbacdd1_icgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8639c79f9379e80285fa9f362dbacdd1_icgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a8639c79f9379e80285fa9f362dbacdd1_icgraph">
<area shape="rect" id="node2" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a142100561cda243c291e4bc7a4d6511a" title="This method stops the Commissioner service. " alt="" coords="301,5,524,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab0f63e0a27794b1583aa1ade267f8862"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::SetProvisioningUrl </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aProvisioningUrl</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets the Provisioning URL. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aProvisioningUrl</td><td>A pointer to the Provisioning URL (may be NULL).</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the <a class="el" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html">Joiner</a>. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aProvisioningUrl</code> is invalid. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4f990ffafceb7e136aa2eead1d2d36ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::Start </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method starts the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a4f990ffafceb7e136aa2eead1d2d36ff_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a4f990ffafceb7e136aa2eead1d2d36ff_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a4f990ffafceb7e136aa2eead1d2d36ff_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a4f990ffafceb7e136aa2eead1d2d36ff_cgraph">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aaa9112c22813ceb55338050f0365c598" title="This method opens the UDP socket. " alt="" coords="275,5,438,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a142100561cda243c291e4bc7a4d6511a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::MeshCoP::Commissioner::Stop </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method stops the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully stopped the <a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a> service. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a142100561cda243c291e4bc7a4d6511a_cgraph.png" border="0" usemap="#dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a142100561cda243c291e4bc7a4d6511a_cgraph" alt=""/></div>
<map name="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a142100561cda243c291e4bc7a4d6511a_cgraph" id="dc/d67/classThread_1_1MeshCoP_1_1Commissioner_a142100561cda243c291e4bc7a4d6511a_cgraph">
<area shape="rect" id="node2" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a555178a1b1857375432ee194f7b60d1a" title="This method initializes the TLV. " alt="" coords="613,2783,799,2822"/>
<area shape="rect" id="node4" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a0524dd75d253e44a53dab3cc0de3393e" title="This method sets the Length value. " alt="" coords="888,1474,1043,1512"/>
<area shape="rect" id="node5" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a90cfa85560c90e598b0d0b67498f9e99" title="This method sets all bits in the Bloom Filter to zero. " alt="" coords="306,8,493,47"/>
<area shape="rect" id="node6" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69" title="This method returns the Length value. " alt="" coords="888,275,1043,314"/>
<area shape="rect" id="node7" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#aaa89187fb2bb3fec9d3b4f5711e1e6cc" title="Ths method sets all bits in the Bloom Filter to one. " alt="" coords="306,134,493,172"/>
<area shape="rect" id="node8" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a44bd92f848f866e542e27d01959b0bcf" title="This method sets bit aBit. " alt="" coords="306,219,493,258"/>
<area shape="rect" id="node9" href="../../de/dd3/classThread_1_1Crc16.html#a2b5d1aeff2763a99c1046749c2693064" title="This method gets the current CRC16 value. " alt="" coords="332,452,467,478"/>
<area shape="rect" id="node10" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a1a82467c5faf3c79fa30c66c634b034a" title="This method returns the number of bits in the Bloom Filter. " alt="" coords="306,326,493,364"/>
<area shape="rect" id="node11" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a4a18444989a157f5031a38debf2dcc7f" title="This method returns a pointer to the Value. " alt="" coords="322,1535,477,1574"/>
<area shape="rect" id="node12" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="275,1472,524,1511"/>
<area shape="rect" id="node3" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#af4de18174724fddc7ac516c219cd16cd" title="This method sets the Type value. " alt="" coords="888,1692,1043,1731"/>
<area shape="rect" id="node13" href="../../dd/d10/group__random.html#gaa20820ca4e6e1ce8cd47ded9762b14ca" title="Get a 32&#45;bit random value. " alt="" coords="642,1818,770,1843"/>
<area shape="rect" id="node14" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89" title="This method initializes the CoAP header. " alt="" coords="629,1867,783,1906"/>
<area shape="rect" id="node15" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa" title="This method sets the Type value. " alt="" coords="629,1930,783,1968"/>
<area shape="rect" id="node16" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736" title="This method sets the Code value. " alt="" coords="629,1992,783,2031"/>
<area shape="rect" id="node17" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0" title="This method sets the Message ID value. " alt="" coords="629,2055,783,2094"/>
<area shape="rect" id="node18" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0" title="This method sets the Token value and length. " alt="" coords="629,2118,783,2156"/>
<area shape="rect" id="node19" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6" title="This method appends a Uri&#45;Path option. " alt="" coords="623,2180,789,2219"/>
<area shape="rect" id="node20" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f" title="This method terminates the CoAP header. " alt="" coords="629,2243,783,2282"/>
<area shape="rect" id="node21" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#aafb4481c92d1f8515e51cfa822a1bde1" title="This method returns a new UDP message with sufficient header space reserved. " alt="" coords="625,2306,787,2344"/>
<area shape="rect" id="node22" href="../../dc/d3c/classThread_1_1Message.html#a3c3d1c48e940f2553586d16e1618277d" title="This method appends bytes to the end of the message. " alt="" coords="617,2368,795,2394"/>
<area shape="rect" id="node23" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32" title="This method returns a pointer to the first byte of the header. " alt="" coords="629,2418,783,2456"/>
<area shape="rect" id="node24" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299" title="This method returns the header length in bytes. " alt="" coords="629,2480,783,2519"/>
<area shape="rect" id="node25" href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html#ac3ad7c172f104c1e8c266e2c56bc31e2" title="This method initializes the TLV. " alt="" coords="600,1755,812,1794"/>
<area shape="rect" id="node26" href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html#a23c5b63f4ef173b7d859d1cba2049525" title="This method sets the Border Agent Locator value. " alt="" coords="591,2543,821,2582"/>
<area shape="rect" id="node27" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html#a98d9b606bb5d7547c8f19bed9b5c029c" title="This method initializes the TLV. " alt="" coords="595,1442,817,1480"/>
<area shape="rect" id="node28" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html#a6abb04fc2c60f534add26eb9ba6c276c" title="This method sets the Commissioner Session ID value. " alt="" coords="572,2606,840,2644"/>
<area shape="rect" id="node29" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#a29e08fa6913dcfdd696ceb376a19bdd9" title="This method initializes the TLV. " alt="" coords="607,1379,805,1418"/>
<area shape="rect" id="node30" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#aa5edc74edb31fd8d95ca9f7e5844c0ac" title="This method sets the UDP Port value. " alt="" coords="607,2668,805,2707"/>
<area shape="rect" id="node31" href="../../d3/d8e/classThread_1_1ThreadNetif.html#ad49d56e324f096d728c0083d9292f52d" title="This method returns a pointer to the mle object. " alt="" coords="636,640,776,679"/>
<area shape="rect" id="node32" href="../../df/d94/group__core-mle-core.html#gaac61a870e313e3d199d16efb5af3a603" title="This method retrieves the Leader&#39;s ALOC. " alt="" coords="597,703,815,728"/>
<area shape="rect" id="node33" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072" title="This method returns a reference to the peer socket address. " alt="" coords="619,752,793,791"/>
<area shape="rect" id="node34" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#ac4fb0ea0ae514fa0edfeaa91dfbdabca" title="This method sends a UDP message. " alt="" coords="625,815,787,854"/>
<area shape="rect" id="node35" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="626,878,786,903"/>
<area shape="rect" id="node36" href="../../d1/d40/classThread_1_1Timer.html#a475731e21b59be6b17b24f5b5e175f62" title="This method schedules the timer to fire a dt milliseconds from now. " alt="" coords="636,927,776,952"/>
<area shape="rect" id="node37" href="../../d1/d40/classThread_1_1Timer.html#a38c2681adb35b234d62b9848f89318b0" title="This static method returns the number of milliseconds given seconds. " alt="" coords="616,1079,796,1104"/>
<area shape="rect" id="node38" href="../../dc/db2/classThread_1_1MeshCoP_1_1CommissionerIdTlv.html#a33e46aa43f749741112673d113f95600" title="This method initializes the TLV. " alt="" coords="595,1504,817,1543"/>
<area shape="rect" id="node39" href="../../dc/db2/classThread_1_1MeshCoP_1_1CommissionerIdTlv.html#a23157eb5a128b03cdb8fdbc702d904f1" title="This method sets the Commissioner ID value. " alt="" coords="595,1128,817,1167"/>
<area shape="rect" id="node40" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#afcb686b1046800a35985dc810c119472" title="This method initializes the TLV. " alt="" coords="613,1692,799,1731"/>
<area shape="rect" id="node41" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a86346d8e24a97d249ce73684009e8adb" title="This method sets the State value. " alt="" coords="613,1191,799,1230"/>
<area shape="rect" id="node42" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8" title="This method returns the Type value. " alt="" coords="629,1254,783,1292"/>
<area shape="rect" id="node43" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1" title="This method returns the Code value. " alt="" coords="629,1316,783,1355"/>
<area shape="rect" id="node44" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="629,275,783,314"/>
<area shape="rect" id="node45" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#aabb0d78dbd2a535e3996df3888316529" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="607,338,805,376"/>
<area shape="rect" id="node46" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#af808d2baaf2b854f5e70540a625531af" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="612,452,800,491"/>
<area shape="rect" id="node47" href="../../d0/db3/classThread_1_1MeshCoP_1_1JoinerRouterLocatorTlv.html#a7a38c76802c6305f48037073276d44cd" title="This method indicates whether or not the TLV appears to be well&#45;formed. " alt="" coords="599,515,813,554"/>
<area shape="rect" id="node48" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="629,578,783,616"/>
<area shape="rect" id="node49" href="../../da/daa/classThread_1_1MeshCoP_1_1JoinerIidTlv.html#a3b35d161640893f9c597edf457e1e19d" title="This method returns a pointer to the Joiner IID. " alt="" coords="612,1567,800,1606"/>
<area shape="rect" id="node50" href="../../dc/df4/classThread_1_1MeshCoP_1_1JoinerUdpPortTlv.html#a1b3a57db550c8c83b57bb14c3004733b" title="This method returns the UDP Port value. " alt="" coords="607,1630,805,1668"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/meshcop/<a class="el" href="../../d4/da4/commissioner_8hpp_source.html">commissioner.hpp</a></li>
<li>src/core/meshcop/<a class="el" href="../../d7/d69/commissioner_8cpp.html">commissioner.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>MeshCoP</b></li><li class="navelem"><a class="el" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html">Commissioner</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
